Ruby, Puma и Windows7 (x64)

Установка gem’a Puma на Windows7 (x64) имеет несколько подводных камней.

gem install puma

В таком варианте Puma установлен не будет. Для начала необходимо добавить себе OpenSSL. Важно! Если Ruby x64, то пакет надо такой — OpenSSL x64, а если x86, то такой — OpenSSL x86. Это lzma-архивы и для их открытия winrar’a не хватит. Берем LZMA SDK для извлечения файлов. Распаковываем в C:\OpenSSL и тогда команда для установки Puma будет такой:

gem install puma --platform=ruby -- --with-opt-dir=C:/OpenSSL

, ,

Оставить комментарий

Top ↑ | Main page | Back